function [A,b,x,t] = approxParabolicEquation(L,T,nx,nt,yT)
    hx = L/(nx-1);
    ht = T/(nt-1);
    x = (0:hx:L)';
    t = 0:ht:T;
    htdhx2 = ht/(hx^2)
    P = diag(ones(1,nx-1).*(-htdhx2),-1)+...
        diag(ones(1,nx).*(1+2*htdhx2),0)+...
        diag(ones(1,nx-1).*(-htdhx2),1);
    P(1,1:3) = [-3/(2*hx)-1, 2/hx, -1/(2*hx)];
    P(nx,nx-2:nx) = [1/(2*hx), -2/hx, 3/(2*hx)+1];
    B = eye(nx,nx);
    B(1,1) = 0;
    B(nx,nx) = 0;
    A = (P^-1*B)^(nt-1);
    b = yT;
end
