% x = solveLSIterRegular(A,b,alpha_0,beta_0,stopfactor,stoptype)
% solves equation A x = b
% stoptype may be
%   0 for number of iterations
%   1 for delta
% stopfactor must be integer when stoptype==0

function [x, lambda] = solveLSIterRegular(A,b,alpha_0,beta_0,stopfactor,stoptype)
    %lambda = 42*ones(size(b));
    lambda = zeros(size(b));
    A2 = A*A';
    k=1;
    while k<stopfactor
        alpha = alpha_0*k^(-1/6);
        beta = beta_0*k^(-3/5);
        lambda = lambda+beta*(-1/2*A2*lambda-b-2*alpha*lambda);
        %lambda = lambda+beta*(-1/2*A2*lambda-b)
        %x = -1/2*A'*lambda;
        k=k+1;
    end
    x = -1/2*A'*lambda;
end